Account
Generated from Malapos's own code: every route in this area, what it takes and how to call it.
List abandoned cart
GET /api/v1/account/abandoned-cart
Example
curl -X GET "https://malapos.com/api/v1/account/abandoned-cart" \
-H "Authorization: Bearer sk_live_…"
Update abandoned cart
PATCH /api/v1/account/abandoned-cart
Body
| Field |
Type |
Required |
Notes |
enabled |
boolean |
no |
|
delayHours |
integer |
no |
min 1; max 168 |
emailSubject |
string |
no |
min length 1; max length 200 |
emailPreview |
string |
no |
min length 1; max length 200 |
discountCodeId |
string |
no |
may be null |
marketingCampaignId |
string |
no |
may be null |
Example
curl -X PATCH "https://malapos.com/api/v1/account/abandoned-cart" \
-H "Authorization: Bearer sk_live_…" \
-H "Content-Type: application/json" \
-d '{"enabled":false,"delayHours":1,"emailSubject":"…","emailPreview":"…","discountCodeId":"…","marketingCampaignId":"…"}'
List reminders
GET /api/v1/account/abandoned-cart/reminders
Query parameters
| Name |
Type |
Required |
Notes |
limit |
any |
no |
|
Example
curl -X GET "https://malapos.com/api/v1/account/abandoned-cart/reminders" \
-H "Authorization: Bearer sk_live_…"
List stats
GET /api/v1/account/abandoned-cart/stats
Query parameters
| Name |
Type |
Required |
Notes |
windowDays |
any |
no |
|
Example
curl -X GET "https://malapos.com/api/v1/account/abandoned-cart/stats" \
-H "Authorization: Bearer sk_live_…"
List posts
GET /api/v1/account/blog/posts
Query parameters
| Name |
Type |
Required |
Notes |
status |
draft or published |
no |
|
limit |
integer |
no |
min 1; max 200 |
cursor |
string |
no |
|
Example
curl -X GET "https://malapos.com/api/v1/account/blog/posts" \
-H "Authorization: Bearer sk_live_…"
Create a post
POST /api/v1/account/blog/posts
Body
| Field |
Type |
Required |
Notes |
title |
string |
yes |
min length 1; max length 200 |
slug |
string |
no |
max length 160 |
excerpt |
string |
no |
max length 500; may be null |
body |
string |
yes |
min length 1; max length 200000 |
coverImage |
string (uri) |
no |
max length 1000; may be null |
status |
draft or published |
no |
|
publishedAt |
string (date-time) |
no |
may be null |
authorName |
string |
no |
max length 100; may be null |
tags |
array of string |
no |
|
metaTitle |
string |
no |
max length 200; may be null |
metaDescription |
string |
no |
max length 500; may be null |
marketingCampaignId |
string |
no |
may be null |
Example
curl -X POST "https://malapos.com/api/v1/account/blog/posts" \
-H "Authorization: Bearer sk_live_…" \
-H "Content-Type: application/json" \
-d '{"title":"…","slug":"…","excerpt":"…","body":"…","coverImage":"…","status":"draft","publishedAt":"2026-01-01T00:00:00Z","authorName":"…","tags":[],"metaTitle":"…","metaDescription":"…","marketingCampaignId":"…"}'
Delete a post
DELETE /api/v1/account/blog/posts/{id}
Path parameters
| Name |
Type |
Required |
Notes |
id |
string |
yes |
|
Example
curl -X DELETE "https://malapos.com/api/v1/account/blog/posts/:id" \
-H "Authorization: Bearer sk_live_…"
Get a post
GET /api/v1/account/blog/posts/{id}
Path parameters
| Name |
Type |
Required |
Notes |
id |
string |
yes |
|
Example
curl -X GET "https://malapos.com/api/v1/account/blog/posts/:id" \
-H "Authorization: Bearer sk_live_…"
Update a post
PATCH /api/v1/account/blog/posts/{id}
Path parameters
| Name |
Type |
Required |
Notes |
id |
string |
yes |
|
Body
| Field |
Type |
Required |
Notes |
title |
string |
no |
min length 1; max length 200 |
slug |
string |
no |
max length 160 |
excerpt |
string |
no |
max length 500; may be null |
body |
string |
no |
min length 1; max length 200000 |
coverImage |
string (uri) |
no |
max length 1000; may be null |
status |
draft or published |
no |
|
publishedAt |
string (date-time) |
no |
may be null |
authorName |
string |
no |
max length 100; may be null |
tags |
array of string |
no |
|
metaTitle |
string |
no |
max length 200; may be null |
metaDescription |
string |
no |
max length 500; may be null |
marketingCampaignId |
string |
no |
may be null |
Example
curl -X PATCH "https://malapos.com/api/v1/account/blog/posts/:id" \
-H "Authorization: Bearer sk_live_…" \
-H "Content-Type: application/json" \
-d '{"title":"…","slug":"…","excerpt":"…","body":"…","coverImage":"…","status":"draft","publishedAt":"2026-01-01T00:00:00Z","authorName":"…","tags":[],"metaTitle":"…","metaDescription":"…","marketingCampaignId":"…"}'
Publish a post
POST /api/v1/account/blog/posts/{id}/publish
Path parameters
| Name |
Type |
Required |
Notes |
id |
string |
yes |
|
Example
curl -X POST "https://malapos.com/api/v1/account/blog/posts/:id/publish" \
-H "Authorization: Bearer sk_live_…"
Unpublish a post
POST /api/v1/account/blog/posts/{id}/unpublish
Path parameters
| Name |
Type |
Required |
Notes |
id |
string |
yes |
|
Example
curl -X POST "https://malapos.com/api/v1/account/blog/posts/:id/unpublish" \
-H "Authorization: Bearer sk_live_…"
List feeds
GET /api/v1/account/feeds
Example
curl -X GET "https://malapos.com/api/v1/account/feeds" \
-H "Authorization: Bearer sk_live_…"
Update feeds
PATCH /api/v1/account/feeds
Body
| Field |
Type |
Required |
Notes |
enabled |
boolean |
no |
|
defaultGoogleProductCategory |
string |
no |
max length 500; may be null |
includeUnpublished |
boolean |
no |
|
marketingCampaignId |
string |
no |
may be null |
Example
curl -X PATCH "https://malapos.com/api/v1/account/feeds" \
-H "Authorization: Bearer sk_live_…" \
-H "Content-Type: application/json" \
-d '{"enabled":false,"defaultGoogleProductCategory":"…","includeUnpublished":false,"marketingCampaignId":"…"}'
List preview
GET /api/v1/account/feeds/preview
Query parameters
| Name |
Type |
Required |
Notes |
format |
any |
no |
|
Example
curl -X GET "https://malapos.com/api/v1/account/feeds/preview" \
-H "Authorization: Bearer sk_live_…"
Resolve the creator's signed S3 avatar URL via Ripllo's public uploads endpoint, then stream the bytes.
GET /api/v1/account/marketing-media/avatar
GET /avatar?key=creators/… — resolve the creator's signed S3 avatar
URL via Ripllo's public uploads endpoint, then stream the bytes.
Query parameters
| Name |
Type |
Required |
Notes |
key |
any |
no |
|
Example
curl -X GET "https://malapos.com/api/v1/account/marketing-media/avatar" \
-H "Authorization: Bearer sk_live_…"
List pixels
GET /api/v1/account/pixels
Example
curl -X GET "https://malapos.com/api/v1/account/pixels" \
-H "Authorization: Bearer sk_live_…"
Update pixels
PATCH /api/v1/account/pixels
Body
| Field |
Type |
Required |
Notes |
metaPixelId |
string |
no |
max length 64; may be null |
metaCapiAccessToken |
string |
no |
max length 500; may be null |
metaTestEventCode |
string |
no |
max length 64; may be null |
googleAnalyticsId |
string |
no |
max length 64; may be null |
googleAdsConversionId |
string |
no |
max length 64; may be null |
googleAdsPurchaseLabel |
string |
no |
max length 64; may be null |
tiktokPixelId |
string |
no |
max length 64; may be null |
enabled |
boolean |
no |
|
Example
curl -X PATCH "https://malapos.com/api/v1/account/pixels" \
-H "Authorization: Bearer sk_live_…" \
-H "Content-Type: application/json" \
-d '{"metaPixelId":"…","metaCapiAccessToken":"…","metaTestEventCode":"…","googleAnalyticsId":"…","googleAdsConversionId":"…","googleAdsPurchaseLabel":"…","tiktokPixelId":"…","enabled":false}'
List referrals
GET /api/v1/account/referrals
Example
curl -X GET "https://malapos.com/api/v1/account/referrals" \
-H "Authorization: Bearer sk_live_…"
Set referrals
PUT /api/v1/account/referrals
Body
| Field |
Type |
Required |
Notes |
enabled |
boolean |
no |
|
rewardType |
percent or fixed or shipping_percent or shipping_fixed |
yes |
|
referrerValue |
integer |
yes |
above 0 |
refereeValue |
integer |
yes |
above 0 |
currency |
string |
yes |
min length 1; max length 8 |
minPurchaseAmount |
integer |
no |
min 0; may be null |
rewardExpiryDays |
integer |
no |
min 1; max 365 |
attributionWindowDays |
integer |
no |
min 1; max 180 |
maxRewardsPerReferrer |
integer |
no |
above 0; may be null |
programTerms |
string |
no |
max length 10000; may be null |
marketingCampaignId |
string |
no |
may be null |
Example
curl -X PUT "https://malapos.com/api/v1/account/referrals" \
-H "Authorization: Bearer sk_live_…" \
-H "Content-Type: application/json" \
-d '{"enabled":false,"rewardType":"percent","referrerValue":1,"refereeValue":1,"currency":"…","minPurchaseAmount":0,"rewardExpiryDays":1,"attributionWindowDays":1,"maxRewardsPerReferrer":1,"programTerms":"…","marketingCampaignId":"…"}'
List attributions
GET /api/v1/account/referrals/attributions
Example
curl -X GET "https://malapos.com/api/v1/account/referrals/attributions" \
-H "Authorization: Bearer sk_live_…"
List links
GET /api/v1/account/referrals/links
Example
curl -X GET "https://malapos.com/api/v1/account/referrals/links" \
-H "Authorization: Bearer sk_live_…"
List stats
GET /api/v1/account/referrals/stats
Example
curl -X GET "https://malapos.com/api/v1/account/referrals/stats" \
-H "Authorization: Bearer sk_live_…"